declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    url: {
        type: StringConstructor;
        required: true;
    };
    placeholderImage: {
        type: StringConstructor;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    "cc-close-clicked": () => any;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    url: {
        type: StringConstructor;
        required: true;
    };
    placeholderImage: {
        type: StringConstructor;
    };
}>> & Readonly<{
    "onCc-close-clicked"?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {
    zoomContainer: HTMLDivElement;
}, any>;
export default _default;
